std::experimental::fundamentals_v1::bad_optional_access Class Reference
Experimental » Optional values Diagnostics » | Exceptions
Inheritance diagram for std::experimental::fundamentals_v1::bad_optional_access:
[legend]

## Public Member Functions

| bad_optional_access (const char *__arg)
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

Exception class thrown when a disengaged optional object is dereferenced.

Definition at line 115 of file optional.

The documentation for this class was generated from the following file:

- optional